summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitlab-ci.yml5
-rwxr-xr-x.tools/init.sh3
-rwxr-xr-x.tools/pngcheck.sh23
3 files changed, 30 insertions, 1 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 146a6886..8722aa98 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -20,6 +20,11 @@ contributors:
- ./.tools/contributors.sh
- pwd
+testxml:
+ stage: test
+ script:
+ - ./.tools/pngcheck.sh
+
pages:
stage: deploy
script:
diff --git a/.tools/init.sh b/.tools/init.sh
index 0315f39a..99f85e70 100755
--- a/.tools/init.sh
+++ b/.tools/init.sh
@@ -2,7 +2,8 @@
function check_error {
if [ "$1" != 0 ]; then
- exit $result
+ echo "Error $1"
+ exit $1
fi
}
diff --git a/.tools/pngcheck.sh b/.tools/pngcheck.sh
new file mode 100755
index 00000000..a95225e8
--- /dev/null
+++ b/.tools/pngcheck.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+aptget_update
+aptget_install pngcheck
+
+export LOG1="pngcheck.log"
+export LOG2="pngcheck2.log"
+
+rm ${LOG1}
+rm ${LOG2}
+
+find . -type f -name "*.png" -exec pngcheck {} \; >${LOG1}
+
+grep -v "32-bit RGB+alpha, non-interlaced, " ${LOG1} >${LOG2}
+export DATA=$(cat pngcheck2.log)
+if [[ -n "${DATA}" ]]; then
+ echo "Images must be in 32 bit RGBA and non-interlanced"
+ echo "Wrong images format found:"
+ cat ${LOG2}
+ exit 1
+fi